Bug 1289959 (CVE-2015-5343) - CVE-2015-5343 subversion: (mod_dav_svn) integer overflow when parsing skel-encoded request bodies
Summary: CVE-2015-5343 subversion: (mod_dav_svn) integer overflow when parsing skel-en...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-5343
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1292015
Blocks: 1289964
TreeView+ depends on / blocked
 
Reported: 2015-12-09 12:20 UTC by Martin Prpič
Modified: 2019-09-29 13:40 UTC (History)
2 users (show)

Fixed In Version: subversion 1.8.15, subversion 1.9.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-17 03:14:24 UTC


Attachments (Terms of Use)
CVE-2015-5343-1.8.14.patch (622 bytes, text/plain)
2015-12-09 12:24 UTC, Martin Prpič
no flags Details
CVE-2015-5343-1.9.2.patch (622 bytes, text/plain)
2015-12-09 12:24 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2015-12-09 12:20:43 UTC
The following flaw was reported in Subversion:

Subversion's httpd servers are vulnerable to a remotely triggerable heap-based buffer overflow and out-of-bounds read caused by an integer overflow when parsing skel-encoded request bodies.

This allows remote attackers with write access to a repository to cause a denial of service or possibly execute arbitrary code under the context of the httpd process. 32-bit server versions are vulnerable to both the denial-of-service attack and possible arbitrary code execution. 64-bit server versions are only vulnerable to the denial-of-service attack.

Acknowledgements:

Red Hat would like to thank the Apache Software Foundation for reporting this issue. Upstream acknowledges Ivan Zhakov of VisualSVN as the original reporter.

Comment 2 Martin Prpič 2015-12-09 12:24:00 UTC
Created attachment 1103851 [details]
CVE-2015-5343-1.8.14.patch

Comment 3 Martin Prpič 2015-12-09 12:24:02 UTC
Created attachment 1103852 [details]
CVE-2015-5343-1.9.2.patch

Comment 5 Martin Prpič 2015-12-16 08:28:41 UTC
Public via upstream advisory:

External References:

https://subversion.apache.org/security/CVE-2015-5343-advisory.txt

Comment 6 Martin Prpič 2015-12-16 08:30:25 UTC
Created subversion tracking bugs for this issue:

Affects: fedora-all [bug 1292015]

Comment 7 Fedora Update System 2015-12-22 22:03:14 UTC
subversion-1.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-02-29 22:21:39 UTC
subversion-1.8.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.